program main
  use wei_transf_mod

  integer :: stat

  call sep_init(SOURCE)
  call getch_add_string("head=/dev/null")
  call getch_add_string("noheader=y")
  call set_no_putch()
  call sep_begin_prog()

  stat = wei_transf_init()
  stat = wei_transf_oper()
  stat = wei_transf_clos()

  call sep_end_prog()
  call exit()  

end program
